MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0022972Open CASCADE[OCCT] OCCT:Codingpublic2012-02-02 10:412016-04-20 15:48
Reporterkgv 
Assigned Tokgv 
PrioritynormalSeverityintegration request 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0022972: Eliminate macro definitions that has compiler-provided analogs (WNT and so on)
DescriptionCurrently OCCT requires several macro definitions for successful compilation on different platforms, here is short list:
- DEB activates debug print-outs in OCCT (optional), some packages uses own (by default not enabled) macros for verbose output.
- WNT indicates Windows platform (extensively used).
- LIN indicates Linux platform (used in several places, mostly optional).
- Set of HAVE_*_H to include different system headers on Unix-like systems; defined in "config.h" if HAVE_CONFIG_H is defined.

There are several problems with this practice.
- Macro definitions required not only for compilation of OCCT itself but for OCCT-based products because them used in several public headers.
- Set of HAVE_*_H macro definitions on Unix requires either a fat list in compiler options or existence of "config.h" file. Both options complicates OCCT deployment and the last one also introduce possible header files collisions due to regular name.
- Most macro definitions could be replaced by predefined ones provided by compiler.
- WNT macro definition sometimes used to determine VS compiler rather than Windows platform which are not the same.

So the first step - replace all occurrences of WNT usage with appropriate to situation compiler-provided macro definition. Common practice is:
#if defined(_WIN32)
  to determine Win32 API is available ("windows.h" and so on).
  Notice that notation of Win32 API applied to both Win32 (x86) and Win64 (amd64) platforms and _WIN32 declared for both (_WIN64 should be checked only to determine 64-bit specific cases).
#if defined(_MSC_VER)
  to determine VS compiler or
#if defined(_MSC_VER) && (_MSC_VER >= 1400)
  can be used to test concrete version.
Steps To ReproduceNot required
TagsNo tags attached.
Test case number
Attached Files

- Relationships
parent of 0024792closedapn Open CASCADE Remove unused hacks for compilers without STL 
parent of 0026787closedbugmaster Open CASCADE Do not declare redundant macros WNT, LIN, LININTEL, WIN32, WIN64 within samples project files 
has duplicate 0022928closedbugmaster Community Stop enforcing /DWNT on Windows in Standard_Macro.hxx 
related to 0024091closedabv Open CASCADE DEB usage in public headers 
related to 0024002closedabv Open CASCADE Overall code and build procedure refactoring 
related to 0020716closedbugmaster Open CASCADE Eliminate usage of "config.h" header file 

-  Notes
(0045291)
abv (manager)
2015-09-09 11:27

Current code seems to be rather clean:

- only 3 uses of macro DEB
- around 200 uses of macro WNT
- 2 uses on macro LIN

I suggest we should eliminate these remains and close the issue
(0045662)
git (administrator)
2015-09-15 17:58

Branch CR22972 has been created by akz.

SHA-1: 17b8668e127e69fcf62acdd81b962ca9f73ad35b


Detailed log of new commits:

Author: akz
Date: Tue Sep 15 17:46:43 2015 +0300

    Macro definition WNT replaced by _WIN32 and _MSC_VER for platform and compiler detection accordingly
(0045663)
akz (developer)
2015-09-15 17:58

Branch CR22972 is ready to review
(0045672)
kgv (developer)
2015-09-15 20:35

i would expect WNT and LIN macros to be removed from CMake and genproj scripts within the same patch.
(0045691)
kgv (developer)
2015-09-16 10:14

The patch should also update Products.
(0045735)
git (administrator)
2015-09-16 19:09

Branch CR22972 has been updated forcibly by akz.

SHA-1: c81ba5166265fd103c1203b0aae3c73a11212887
(0045736)
git (administrator)
2015-09-16 19:58

Branch CR22972 has been updated forcibly by akz.

SHA-1: 464a3f37ef7ea0228447b4024e985b9963c197d9
(0045738)
akz (developer)
2015-09-16 21:36
edited on: 2015-09-16 21:36

WNT, LIN and DEB removed from CMake instructions and genproj scripts (including templates).

Branch CR22972 is ready to review on OCCT repository and Products repository.

(0045740)
kgv (developer)
2015-09-16 21:51

There is something wrong in patch with VS templates template.vc7-vc9x - diff shows that every line has been changed.
(0045746)
kgv (developer)
2015-09-17 09:49

-.. on WNT by defining function 
+...on WIN by defining function

I think WNT replacements in comments should be reverted.

-  add_definitions (-fexceptions -fPIC -DOCC_CONVERT_SIGNALS -DHAVE_WOK_CONFIG_H -DHAVE_CONFIG_H -DLIN)

+  add_definitions (-fexceptions -fPIC -DOCC_CONVERT_SIGNALS -DHAVE_WOK_CONFIG_H -DHAVE_CONFIG_H)

HAVE_CONFIG_H / HAVE_WOK_CONFIG_H have been already removed from OCCT within dedicated patch. So please try removing them from genproj/CMake as well.

-      <PreprocessorDefinitions>NDEBUG;WIN32;_WINDOWS;WNT;No_Exception;CSFDB;$(CSF_DEFINES)__TKDEFS__;%(PreprocessorDefinitions)</PreprocessorDefinitions>

+      <PreprocessorDefinitions>NDEBUG;WIN32;_WINDOWS;No_Exception;CSFDB;$(CSF_DEFINES)__TKDEFS__;%(PreprocessorDefinitions)</PreprocessorDefinitions>


_WINDOWS and WIN32 should be removed as well from compiler flags.

-#ifdef DEB
+#ifdef _DEBUG

these checks in Products should be replaced by checking OCCT_DEBUG macros, as in OCCT.

-lin cmplrs_c f -DLIN -DLININTEL -D_GNU_SOURCE=1 -fexceptions
-lin cmplrs_c b -DLIN -DLININTEL -D_GNU_SOURCE=1 -fexceptions
+lin cmplrs_c f -DLININTEL -D_GNU_SOURCE=1 -fexceptions
+lin cmplrs_c b -DLININTEL -D_GNU_SOURCE=1 -fexceptions

please drop LININTEL as well and correct it single occurrence in the code.
(0045780)
git (administrator)
2015-09-17 13:29

Branch CR22972 has been updated forcibly by akz.

SHA-1: beedc027bc29b3e2a322027e9e55b1b41a55f83e
(0045782)
akz (developer)
2015-09-17 13:45
edited on: 2015-09-17 13:52

All remarks are handled.

About template.vc7-vc9x:
All tabs were replaced with spaces automatically at some stage of editing. But I decide to commit it, because everywhere in OCCT we use spaces instead of tabs (due to Coding rules).

Branch CR22972 is ready to review in OCCT and Products repositories

(0045785)
kgv (developer)
2015-09-17 13:56

> All tabs were replaced with spaces automatically at some stage of editing.
> But I decide to commit it, because everywhere in OCCT we use spaces instead of tabs (due to Coding rules).
VS project files should follow syntax of VS project - this is special format (even if VS is able to handle spaces as well), not OCCT Coding Rules.
Please revert changes unrelated to the bug and use tabs in these files instead for consistency.
(0045794)
git (administrator)
2015-09-17 14:34

Branch CR22972 has been updated forcibly by akz.

SHA-1: 01f0c6a3cf7f073afecc931d5651d6a26c639965
(0045798)
akz (developer)
2015-09-17 14:36

Improper changes was reverted.
Branch CR22972.
(0045801)
kgv (developer)
2015-09-17 14:51

Please test the patch (including building with CMake / genproj+VS).
(0045823)
git (administrator)
2015-09-17 17:46

Branch CR22972 has been updated forcibly by mkv.

SHA-1: 8b83c12dc726f2a4279b1df715a887c2e41555e3
(0045908)
mkv (tester)
2015-09-18 16:28

Dear BugMaster,
Branch CR22972 was rebased on branch IR-2015-09-17 of occt git-repository.
SHA-1: 8b83c12dc726f2a4279b1df715a887c2e41555e3
(0045909)
mkv (tester)
2015-09-18 16:29

Dear BugMaster,
Branch CR22972 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 8b83c12dc726f2a4279b1df715a887c2e41555e3

Number of compiler warnings:

occt component :
Linux: 15 (15 on master)
Windows: 0 (0 on master)

products component :
Linux: 39 (39 on master)
Windows: 0 (0 on master)

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
occt component :
Total MEMORY difference: 92408692 / 92150699 [+0.28%]
Total CPU difference: 18952.809999998997 / 18922.06999999899 [+0.16%]
products component :
Total MEMORY difference: 25889290 / 25971259 [-0.32%]
Total CPU difference: 7162.439999999999 / 7206.699999999996 [-0.61%]

Testing on Windows:
occt component :
Total MEMORY difference: 56828746 / 56823219 [+0.01%]
Total CPU difference: 17424.890497298922 / 16810.34015789913 [+3.66%]
products component :
Total MEMORY difference: 16790351 / 16790438 [-0.00%]
Total CPU difference: 5646.970998299968 / 5526.49142599996 [+2.18%]
There are no differences in images found by testdiff.
(0046123)
git (administrator)
2015-09-25 12:11

Branch CR22972-IR-2015-09-24 has been created by akz.

SHA-1: b924a69e267b9e4c5bab34318eda674bb51c887e


Detailed log of new commits:

Author: akz
Date: Fri Sep 25 11:35:36 2015 +0300

    Replace removed from occt WNT preprocessor flag with _WIN32
(0046865)
git (administrator)
2015-10-16 16:14

Branch CR22972 has been deleted by kgv.

SHA-1: 8b83c12dc726f2a4279b1df715a887c2e41555e3
(0047029)
git (administrator)
2015-10-16 16:47

Branch CR22972-IR-2015-09-24 has been deleted by kgv.

SHA-1: b924a69e267b9e4c5bab34318eda674bb51c887e

- Related Changesets
occt: master 57c28b61
Timestamp: 2015-09-15 14:46:43
Author: akz
Committer: kgv
Details ] Diff ]
0022972: Eliminate macro definitions that has compiler-provided analogs (WNT and so on)

1) Macro definition WNT replaced by _WIN32 and _MSC_VER for platform and compiler detection accordingly.
2) Macro definition LIN replaced by __linux__ macro.
3) Macro definition DEB replaced by OCCT_DEBUG macro.
mod - adm/cmake/occt_defs_flags.cmake Diff ] File ]
mod - adm/CMPLRS Diff ] File ]
mod - adm/genproj.tcl Diff ] File ]
mod - adm/templates/template.vc10 Diff ] File ]
mod - adm/templates/template.vc10x Diff ] File ]
mod - adm/templates/template.vc7 Diff ] File ]
mod - adm/templates/template.vc7x Diff ] File ]
mod - adm/templates/template.vc8 Diff ] File ]
mod - adm/templates/template.vc8x Diff ] File ]
mod - adm/templates/template.vc9 Diff ] File ]
mod - adm/templates/template.vc9x Diff ] File ]
mod - src/AppBlend/AppBlend_Debug.cxx Diff ] File ]
mod - src/AppCont/AppCont_ContMatrices.hxx Diff ] File ]
mod - src/AppDef/AppDef_Variational.cxx Diff ] File ]
mod - src/Aspect/Aspect_Drawable.hxx Diff ] File ]
mod - src/Aspect/Aspect_Handle.hxx Diff ] File ]
mod - src/Aspect/Aspect_XWD.hxx Diff ] File ]
mod - src/Blend/Blend_Debug.cxx Diff ] File ]
mod - src/Bnd/Bnd_BoundSortBox.cxx Diff ] File ]
mod - src/BOPDS/BOPDS_PassKey.cxx Diff ] File ]
mod - src/BOPDS/BOPDS_PaveBlock.cxx Diff ] File ]
mod - src/BRepCheck/BRepCheck_Wire.cxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_Delaun.cxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_DiscretFactory.cxx Diff ] File ]
mod - src/BRepTest/BRepTest_BasicCommands.cxx Diff ] File ]
mod - src/BRepTest/BRepTest_CurveCommands.cxx Diff ] File ]
mod - src/BRepTest/BRepTest_ExtremaCommands.cxx Diff ] File ]
mod - src/BRepTest/BRepTest_GPropCommands.cxx Diff ] File ]
mod - src/BRepTest/BRepTest_MatCommands.cxx Diff ] File ]
mod - src/BRepTest/BRepTest_ProjectionCommands.cxx Diff ] File ]
mod - src/BRepTest/BRepTest_SweepCommands.cxx Diff ] File ]
mod - src/BRepTools/BRepTools_ShapeSet.cxx Diff ] File ]
mod - src/BRepTopAdaptor/BRepTopAdaptor_FClass2d.cxx Diff ] File ]
mod - src/CDF/CDF_FWOSDriver.cxx Diff ] File ]
mod - src/CDF/CDF_Store.cxx Diff ] File ]
mod - src/DBRep/DBRep_DrawableShape.cxx Diff ] File ]
mod - src/DDataStd/DDataStd_BasicCommands.cxx Diff ] File ]
mod - src/DDataStd/DDataStd_DrawDisplayCommands.cxx Diff ] File ]
mod - src/DDataStd/DDataStd_DrawPresentation.cxx Diff ] File ]
mod - src/DDF/DDF_BrowserCommands.cxx Diff ] File ]
mod - src/DDF/DDF_IOStream.hxx Diff ] File ]
mod - src/DNaming/DNaming_BasicCommands.cxx Diff ] File ]
mod - src/DNaming/DNaming_ModelingCommands.cxx Diff ] File ]
mod - src/DNaming/DNaming_TransformationDriver.cxx Diff ] File ]
mod - src/DPrsStd/DPrsStd.cxx Diff ] File ]
mod - src/Draw/CommandWindow.cxx Diff ] File ]
mod - src/Draw/COMMANDWINDOW.h Diff ] File ]
mod - src/Draw/Draw.cxx Diff ] File ]
mod - src/Draw/DrawRessource.h Diff ] File ]
mod - src/Draw/Draw_Appli.hxx Diff ] File ]
mod - src/Draw/Draw_Grid.cxx Diff ] File ]
mod - src/Draw/Draw_Interpretor.cxx Diff ] File ]
mod - src/Draw/Draw_Main.cxx Diff ] File ]
mod - src/Draw/Draw_Main.hxx Diff ] File ]
mod - src/Draw/Draw_Viewer.cxx Diff ] File ]
mod - src/Draw/Draw_Viewer.hxx Diff ] File ]
mod - src/Draw/Draw_Window.cxx Diff ] File ]
mod - src/Draw/init.cxx Diff ] File ]
mod - src/Draw/init.h Diff ] File ]
mod - src/Draw/MainWindow.cxx Diff ] File ]
mod - src/Draw/MAINWINDOW.h Diff ] File ]
mod - src/DrawDim/DrawDim.cxx Diff ] File ]
mod - src/DrawDim/DrawDim_PlanarDimensionCommands.cxx Diff ] File ]
mod - src/DrawTrSurf/DrawTrSurf_Triangulation.cxx Diff ] File ]
mod - src/DrawTrSurf/DrawTrSurf_Triangulation2D.cxx Diff ] File ]
mod - src/DsgPrs/DsgPrs_FilletRadiusPresentation.cxx Diff ] File ]
mod - src/Expr/Expr_Operators.hxx Diff ] File ]
mod - src/ExprIntrp/ExprIntrp_yaccanal.hxx Diff ] File ]
mod - src/ExprIntrp/ExprIntrp_yacclex.cxx Diff ] File ]
mod - src/ExprIntrp/lex.ExprIntrp.c Diff ] File ]
mod - src/GeometryTest/GeometryTest_API2dCommands.cxx Diff ] File ]
mod - src/GeometryTest/GeometryTest_APICommands.cxx Diff ] File ]
mod - src/GeometryTest/GeometryTest_ConstraintCommands.cxx Diff ] File ]
mod - src/GeometryTest/GeometryTest_CurveCommands.cxx Diff ] File ]
mod - src/GeometryTest/GeometryTest_PolyCommands.cxx Diff ] File ]
mod - src/GeometryTest/GeometryTest_SurfaceCommands.cxx Diff ] File ]
mod - src/GeometryTest/GeometryTest_TestProjCommands.cxx Diff ] File ]
mod - src/GeomliteTest/GeomliteTest_API2dCommands.cxx Diff ] File ]
mod - src/GeomliteTest/GeomliteTest_ApproxCommands.cxx Diff ] File ]
mod - src/GeomliteTest/GeomliteTest_CurveCommands.cxx Diff ] File ]
mod - src/GeomliteTest/GeomliteTest_ModificationCommands.cxx Diff ] File ]
mod - src/GeomliteTest/GeomliteTest_SurfaceCommands.cxx Diff ] File ]
mod - src/GeomToIGES/GeomToIGES_GeomSurface.cxx Diff ] File ]
mod - src/HLRTest/HLRTest.cxx Diff ] File ]
mod - src/IGESToBRep/IGESToBRep_Reader.cxx Diff ] File ]
mod - src/Interface/Interface_CheckTool.cxx Diff ] File ]
mod - src/Interface/Interface_FileReaderTool.cxx Diff ] File ]
mod - src/IntImp/IntImp_ComputeTangence.hxx Diff ] File ]
mod - src/IntTools/IntTools.cxx Diff ] File ]
mod - src/IntTools/IntTools_EdgeFace.cxx Diff ] File ]
mod - src/LDOM/LDOMBasicString.cxx Diff ] File ]
mod - src/LDOM/LDOMParser.cxx Diff ] File ]
mod - src/LDOM/LDOM_BasicNode.cxx Diff ] File ]
mod - src/LDOM/LDOM_XmlReader.cxx Diff ] File ]
mod - src/LDOM/LDOM_XmlWriter.cxx Diff ] File ]
mod - src/MAT2d/MAT2d_MapBiIntHasher.lxx Diff ] File ]
mod - src/math/math_FunctionRoots.cxx Diff ] File ]
mod - src/math/math_Recipes.hxx Diff ] File ]
mod - src/MeshTest/MeshTest.cxx Diff ] File ]
mod - src/MeshVS/MeshVS_TextPrsBuilder.cxx Diff ] File ]
mod - src/Message/Message_MsgFile.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_AVIWriter.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Window.cxx Diff ] File ]
mod - src/OSD/OSD.cxx Diff ] File ]
mod - src/OSD/OSD_Chronometer.cxx Diff ] File ]
mod - src/OSD/OSD_Directory.cxx Diff ] File ]
mod - src/OSD/OSD_DirectoryIterator.cxx Diff ] File ]
mod - src/OSD/OSD_Environment.cxx Diff ] File ]
mod - src/OSD/OSD_Error.cxx Diff ] File ]
mod - src/OSD/OSD_FileIterator.cxx Diff ] File ]
mod - src/OSD/OSD_Host.cxx Diff ] File ]
mod - src/OSD/OSD_MAllocHook.cxx Diff ] File ]
mod - src/OSD/OSD_Path.cxx Diff ] File ]
mod - src/OSD/OSD_Printer.cxx Diff ] File ]
mod - src/OSD/OSD_Process.cxx Diff ] File ]
mod - src/OSD/OSD_Protection.cxx Diff ] File ]
mod - src/OSD/OSD_PThread.hxx Diff ] File ]
mod - src/OSD/OSD_SharedLibrary.cxx Diff ] File ]
mod - src/OSD/OSD_signal.cxx Diff ] File ]
mod - src/OSD/OSD_signal_WNT.cxx Diff ] File ]
mod - src/OSD/OSD_Thread.cxx Diff ] File ]
mod - src/OSD/OSD_ThreadFunction.hxx Diff ] File ]
mod - src/OSD/OSD_Timer.cxx Diff ] File ]
mod - src/OSD/OSD_WNT.cxx Diff ] File ]
mod - src/OSD/OSD_WNT_BREAK.hxx Diff ] File ]
mod - src/PCDM/PCDM_ReadWriter_1.cxx Diff ] File ]
mod - src/PCDM/PCDM_ReferenceIterator.cxx Diff ] File ]
mod - src/Plugin/Plugin.cxx Diff ] File ]
mod - src/Poly/Poly_CoherentNode.cxx Diff ] File ]
mod - src/Poly/Poly_CoherentTriPtr.hxx Diff ] File ]
mod - src/QABugs/QABugs_1.cxx Diff ] File ]
mod - src/QABugs/QABugs_16.cxx Diff ] File ]
mod - src/QABugs/QABugs_19.cxx Diff ] File ]
mod - src/QABugs/QABugs_3.cxx Diff ] File ]
mod - src/QABugs/QABugs_9.cxx Diff ] File ]
mod - src/QADNaming/QADNaming_BasicCommands.cxx Diff ] File ]
mod - src/Quantity/Quantity_Convert.lxx Diff ] File ]
mod - src/Standard/Standard_ErrorHandler.cxx Diff ] File ]
mod - src/Standard/Standard_Macro.hxx Diff ] File ]
mod - src/Standard/Standard_MMgrOpt.cxx Diff ] File ]
mod - src/Standard/Standard_MMgrTBBalloc.cxx Diff ] File ]
mod - src/Standard/Standard_ThreadId.hxx Diff ] File ]
mod - src/Standard/Standard_UUID.hxx Diff ] File ]
mod - src/Standard/Standard_values.h Diff ] File ]
mod - src/STEPConstruct/STEPConstruct_AP203Context.cxx Diff ] File ]
mod - src/StepFile/lex.step.c Diff ] File ]
mod - src/StepFile/step.tab.c Diff ] File ]
mod - src/TDataStd/TDataStd_NamedData.cxx Diff ] File ]
mod - src/TDF/TDF_LabelMapHasher.lxx Diff ] File ]
mod - src/TDocStd/TDocStd_PathParser.cxx Diff ] File ]
mod - src/TestTopOpe/TestTopOpe.cxx Diff ] File ]
mod - src/TestTopOpe/TestTopOpe_BOOP.cxx Diff ] File ]
mod - src/TestTopOpe/TestTopOpe_MesureCommands.cxx Diff ] File ]
mod - src/TestTopOpeDraw/TestTopOpeDraw_Displayer.cxx Diff ] File ]
mod - src/TNaming/TNaming_Localizer.cxx Diff ] File ]
mod - src/TNaming/TNaming_NamingTool.cxx Diff ] File ]
mod - src/TNaming/TNaming_Selector.cxx Diff ] File ]
mod - src/TObj/TObj_Model.cxx Diff ] File ]
mod - src/TObjDRAW/TObjDRAW.cxx Diff ] File ]
mod - src/TopExp/TopExp_Explorer.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_FacesIntersector.cxx Diff ] File ]
mod - src/Units/Units_Lexicon.cxx Diff ] File ]
mod - src/UnitsAPI/UnitsAPI.cxx Diff ] File ]
mod - src/V3d/V3d_View_Print.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_ViewerCommands.cxx Diff ] File ]
mod - src/VrmlData/VrmlData_Geometry.cxx Diff ] File ]
mod - src/VrmlData/VrmlData_Group.cxx Diff ] File ]
mod - src/VrmlData/VrmlData_IndexedFaceSet.cxx Diff ] File ]
mod - src/VrmlData/VrmlData_IndexedLineSet.cxx Diff ] File ]
mod - src/VrmlData/VrmlData_Material.cxx Diff ] File ]
mod - src/VrmlData/VrmlData_Node.cxx Diff ] File ]
mod - src/VrmlData/VrmlData_Scene.cxx Diff ] File ]
mod - src/VrmlData/VrmlData_WorldInfo.cxx Diff ] File ]
mod - src/XDEDRAW/XDEDRAW.cxx Diff ] File ]
mod - src/XmlLDrivers/XmlLDrivers_DocumentRetrievalDriver.cxx Diff ] File ]
mod - src/XmlLDrivers/XmlLDrivers_DocumentStorageDriver.cxx Diff ] File ]
mod - src/XmlMDataStd/XmlMDataStd_NamedDataDriver.cxx Diff ] File ]
mod - src/XSDRAWSTLVRML/XSDRAWSTLVRML.cxx Diff ] File ]
occt: master bd6c4619
Timestamp: 2015-09-25 08:35:36
Author: akz
Committer: bugmaster
Details ] Diff ]
0022972: Eliminate macro definitions that has compiler-provided analogs (WNT and so on)
Replace removed from occt WNT preprocessor flag with _WIN32
mod - src/IVtkDraw/IVtkDraw.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-02-02 10:41 kgv New Issue
2012-02-02 10:41 kgv Assigned To => abv
2012-02-02 10:42 kgv Description Updated View Revisions
2014-01-17 09:29 kgv Relationship added has duplicate 0022928
2014-01-17 09:46 abv Target Version => 6.7.1
2014-03-13 09:58 kgv Description Updated View Revisions
2014-03-17 16:49 kgv Relationship added related to 0024091
2014-04-03 17:03 kgv Relationship added related to 0024002
2014-04-03 17:04 kgv Category OCCT:Foundation Classes => OCCT:Coding
2014-04-03 17:14 kgv Relationship added parent of 0024792
2014-04-04 17:47 abv Target Version 6.7.1 => 6.8.0
2014-08-25 12:31 kgv Relationship added related to 0020716
2014-09-11 10:20 abv Target Version 6.8.0 => 7.0.0
2015-09-09 11:23 abv Assigned To abv => akz
2015-09-09 11:23 abv Status new => assigned
2015-09-09 11:27 abv Note Added: 0045291
2015-09-15 17:58 git Note Added: 0045662
2015-09-15 17:58 akz Note Added: 0045663
2015-09-15 17:59 akz Assigned To akz => abv
2015-09-15 20:35 kgv Note Added: 0045672
2015-09-16 10:12 kgv Assigned To abv => akz
2015-09-16 10:14 kgv Note Added: 0045691
2015-09-16 19:09 git Note Added: 0045735
2015-09-16 19:58 git Note Added: 0045736
2015-09-16 21:35 akz Assigned To akz => kgv
2015-09-16 21:35 akz Status assigned => resolved
2015-09-16 21:35 akz Steps to Reproduce Updated View Revisions
2015-09-16 21:36 akz Steps to Reproduce Updated View Revisions
2015-09-16 21:36 akz Note Added: 0045738
2015-09-16 21:36 akz Note Edited: 0045738 View Revisions
2015-09-16 21:51 kgv Note Added: 0045740
2015-09-17 09:49 kgv Note Added: 0045746
2015-09-17 09:50 kgv Assigned To kgv => akz
2015-09-17 09:50 kgv Status resolved => assigned
2015-09-17 09:50 kgv Steps to Reproduce Updated View Revisions
2015-09-17 13:29 git Note Added: 0045780
2015-09-17 13:45 akz Note Added: 0045782
2015-09-17 13:45 akz Assigned To akz => kgv
2015-09-17 13:45 akz Status assigned => resolved
2015-09-17 13:45 akz Steps to Reproduce Updated View Revisions
2015-09-17 13:52 akz Note Edited: 0045782 View Revisions
2015-09-17 13:56 kgv Note Added: 0045785
2015-09-17 13:56 kgv Assigned To kgv => akz
2015-09-17 13:56 kgv Status resolved => assigned
2015-09-17 14:34 git Note Added: 0045794
2015-09-17 14:36 akz Note Added: 0045798
2015-09-17 14:36 akz Assigned To akz => kgv
2015-09-17 14:36 akz Status assigned => resolved
2015-09-17 14:51 kgv Note Added: 0045801
2015-09-17 14:51 kgv Assigned To kgv => bugmaster
2015-09-17 14:51 kgv Severity minor => integration request
2015-09-17 14:51 kgv Status resolved => reviewed
2015-09-17 15:00 mkv Assigned To bugmaster => mkv
2015-09-17 17:46 git Note Added: 0045823
2015-09-18 16:28 mkv Note Added: 0045908
2015-09-18 16:29 mkv Note Added: 0045909
2015-09-18 16:29 mkv Assigned To mkv => bugmaster
2015-09-18 16:29 mkv Status reviewed => tested
2015-09-25 12:11 git Note Added: 0046123
2015-09-28 12:58 bugmaster Changeset attached => occt master bd6c4619
2015-09-28 12:58 kgv Changeset attached => occt master 57c28b61
2015-09-28 12:58 kgv Assigned To bugmaster => kgv
2015-09-28 12:58 kgv Status tested => verified
2015-09-28 12:58 kgv Resolution open => fixed
2015-10-16 15:50 kgv Relationship added parent of 0026787
2015-10-16 15:51 kgv Relationship added related to 0023741
2015-10-16 16:14 git Note Added: 0046865
2015-10-16 16:47 git Note Added: 0047029
2016-04-20 15:44 aiv Fixed in Version => 7.0.0
2016-04-20 15:48 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker